from xml.dom.minidom import *

class C_Dom_Writer:
	def __init__(self, root_name = 'root'):
		self.xml_impl		= getDOMImplementation()
		self.xml_doc		= self.xml_impl.createDocument(None, root_name, None)
		self.root_node	= self.xml_doc.documentElement
	
	def AppendTextNode(self, parent_node, node_name, text):
		if (parent_node is not None and isinstance(parent_node, Node)):
			temp_text_node = self.CreateTextNode(node_name, text)
			if (temp_text_node is not None):
				parent_node.appendChild(temp_text_node)
	
	def CreateTextNode(self, node_name, text):
		if (node_name is not None and (len(node_name) > 0)):
			temp_node				= self.xml_doc.createElement(node_name)
			temp_node_text	= self.xml_doc.createTextNode(text)
			
			temp_node.appendChild(temp_node_text)
		else:
			temp_node = None
		
		return temp_node
	
	def GetPrettyXML(self, indent="\t", newline="\n", encoding = None):
		return self.xml_doc.toprettyxml(indent, newline, encoding)
	
	def GetXML(self, encoding = None):
		return self.xml_doc.toxml(encoding)